const list = (theme) => ({
	'.list-container': {
		padding: '4px',
		overflowY: 'auto',
		borderRadius: theme('borderRadius.md'),
		border: `1px solid ${theme('colors.gray.300')}`,
	},
	'.list': {
		cursor: 'pointer',
		padding: '4px',
		margin: '3px 0',
		borderRadius: theme('borderRadius.md'),
		border: `1px solid ${theme('colors.gray.100')}`,
		'&-compact': {
			padding: '1px 1px 1px 8px',
		},
		'&--focus': {
			backgroundColor: theme('colors.focus.200'),
			borderColor: theme('colors.focus.400'),
		},
		'&--active': {
			backgroundColor: theme('colors.active.200'),
			borderColor: theme('colors.active.400'),
		},
	},
});

module.exports = ({ addComponents, theme }) => {
	addComponents(list(theme));
};

module.exports.list = list;
